Subject: bug#71684: [PATCH v2] doc: Document the peek and pk procedures.

From: Juliana Sims <[email-masked]>
Date: Mon, 15 Jul 2024 22:46:24 -0400

Hi y'all,
Thanks for the (continued) reviews!

> I hadn't commented on that last sentence before, but if I knew how to
> have the Guile debugger reliably break where I want it to (I don't, or
> somehow haven't managed to have it work well), I don't think using 
> 'pk',
> which requires editing files before and after debugging, could be
> described as more convenient :-).

A fair point!  I can change that wording in a next version of the patch.

> I would suggest to apply the ’pk’ on the other branch, something 
> as:
> 
> --8<---------------cut here---------------start------------->8---
> (map (lambda (v)
>        (if (number? v)
>            (pk 'number v (number->string v))
>            v))
>      '(1 "2" "3" 4))
> --8<---------------cut here---------------end--------------->8---

I'm not sure I understand how this improves the demonstration of 'pk'.  
What does this form of the example demonstrate that the version in the 
patch does not?  It's a minor change so I'm happy to make it; I just 
want to ensure that we have the best possible version of the solution 
to the problem you see.

Best,
Juli